{
  "name": "@sy/low-code-platform",
  "version": "1.0.0-1",
  "packageManager": "pnpm@9.4.0",
  "type": "module",
  "engines": {
    "node": ">=20",
    "pnpm": ">=9.0.2"
  },
  "author": {
    "name": "wangxuefeng",
    "email": "wangxuefeng@shiyue.com"
  },
  "scripts": {
    "preinstall": "npx only-allow pnpm",
    "serve": "npm run dev",
    "dev": "vite dev",
    "build": "rimraf dist && cross-env NODE_ENV=production vite build",
    "build:watch": "rimraf dist && cross-env NODE_ENV=production vite build --watch",
    "preview": "vite preview",
    "preview:watch": "npm run build:watch && vite preview",
    "clean:cache": "rimraf node_modules/.cache/ && rimraf node_modules/.vite",
    "test:gzip": "npx http-server dist --cors --gzip -c-1",
    "test:br": "npx http-server dist --cors --brotli -c-1",
    "clean:lock": "rimraf pnpm-lock.yaml && rimraf package.lock.json",
    "clean:lib": "rimraf node_modules"
  },
  "dependencies": {
    "@ant-design/icons-vue": "~7.0.1",
    "@iconify/vue": "^4.3.0",
    "@vueuse/core": "~11.1.0",
    "ant-design-vue": "~4.2.6",
    "axios": "~1.7.9",
    "core-js": "^3.40.0",
    "crypto-js": "^4.2.0",
    "dayjs": "~1.11.13",
    "file-saver": "~2.0.5",
    "licia-es": "^1.46.0",
    "lodash-es": "~4.17.21",
    "mitt": "~3.0.1",
    "nprogress": "1.0.0-1",
    "pinia": "~2.2.8",
    "pinia-plugin-persistedstate": "^4.2.0",
    "qs": "~6.13.1",
    "sortablejs": "~1.15.6",
    "vue": "~3.5.13",
    "vue-i18n": "^11.1.1",
    "vue-router": "~4.4.5",
    "vue-types": "~5.1.3",
    "vue-virtual-scroller": "2.0.0-beta.8",
    "wujie-vue3": "^1.0.24",
    "xlsx": "~0.18.5"
  },
  "devDependencies": {
    "@commitlint/cli": "~19.5.0",
    "@commitlint/config-conventional": "~19.5.0",
    "@iconify-json/ant-design": "^1.2.5",
    "@iconify-json/ep": "^1.2.2",
    "@iconify/json": "^2.2.307",
    "@sy/low-code-designer": "workspace:*",
    "@sy/low-code-shared": "workspace:*",
    "@sy/vite-plugin-http2-proxy": "workspace:*",
    "@types/crypto-js": "^4.2.2",
    "@types/lodash-es": "~4.17.12",
    "@types/node": "~22.7.9",
    "@types/qs": "^6.9.18",
    "@types/sortablejs": "^1.15.8",
    "@typescript-eslint/eslint-plugin": "~8.11.0",
    "@typescript-eslint/parser": "~8.11.0",
    "@umijs/openapi": "^1.13.0",
    "@vitejs/plugin-vue": "~5.1.5",
    "@vitejs/plugin-vue-jsx": "~4.0.1",
    "@vue/tsconfig": "^0.5.1",
    "commitizen": "~4.3.1",
    "conventional-changelog-cli": "~4.1.0",
    "cross-env": "~7.0.3",
    "eslint": "~9.13.0",
    "eslint-config-prettier": "~9.1.0",
    "eslint-define-config": "~2.1.0",
    "eslint-plugin-import": "~2.31.0",
    "eslint-plugin-prettier": "~5.2.3",
    "eslint-plugin-unused-imports": "^4.1.4",
    "eslint-plugin-vue": "~9.29.1",
    "less": "~4.2.2",
    "lint-staged": "~15.2.11",
    "msw": "^2.7.0",
    "postcss": "~8.4.49",
    "postcss-html": "~1.7.0",
    "postcss-less": "~6.0.0",
    "prettier": "~3.3.3",
    "rimraf": "~6.0.1",
    "stylelint": "~16.10.0",
    "stylelint-config-property-sort-order-smacss": "^10.0.0",
    "stylelint-config-recommended": "~14.0.1",
    "stylelint-config-recommended-vue": "~1.5.0",
    "stylelint-config-standard": "~36.0.1",
    "stylelint-order": "~6.0.4",
    "stylelint-prettier": "^5.0.3",
    "typescript": "~5.6.3",
    "unocss": "^65.5.0",
    "unplugin-vue-components": "~0.27.5",
    "vite": "~6.1.1",
    "vite-plugin-checker": "~0.8.0",
    "vite-plugin-inspect": "^10.2.1",
    "vite-plugin-mkcert": "^1.17.6",
    "vite-plugin-svg-icons": "~2.0.1",
    "vite-plugin-vue-inspector": "^5.3.1",
    "vue-eslint-parser": "~9.4.3",
    "vue-tsc": "~2.1.10"
  },
  "keywords": [
    "vue",
    "ant-design-vue",
    "vue3",
    "ts",
    "tsx",
    "admin",
    "typescript"
  ],
  "target": "web"
}